dpkg-split(1)

NOM
dpkg-split - outil de décomposition/recomposition des paquets Debian

SYNOPSIS
dpkg-split [option...] command

DESCRIPTION
dpkg-split décompose les fichiers d'un paquet binaire Debian en parties plus petites (et les recompose), pour permettre l'enregistrement des fichiers d'un paquet volumineux sur des média de faible capacité tels que les disquettes. On peut s'en servir « à la main » avec les options --split, --join et --info. Il possède aussi un mode automatique, appelé avec l'option --auto, dans lequel il conserve séparément dans une file les parties connues ou recompose le fichier d'un paquet quand il connaît toutes ses parties. Les options --listq et --discard permettent la gestion de cette file. Toutes les opérations de décomposition, recomposition ou de mise en file produisent des messages sur la sortie standard ; ils peuvent être tranquillement ignorés.

COMMANDES

-s, --split archive-complète [préfixe]
    Décompose en plusieurs parties un paquet binaire Debian. Le nom d'une partie est : préfixe.NdeM.deb où N le numéro de partie, commençant à 1, et M est le nombre total de parties (les deux sont des décimaux). Quand on ne donne pas de préfixe, le nom du fichier archive-complète est utilisé, en incluant le répertoire et en supprimant tout .deb restant.

-j, --join partie...
    Rassemble les parties d'un fichier, recomposant ainsi le fichier d'origine tel qu'il était avant la décomposition. Ces parties, données comme arguments, doivent appartenir toutes au même fichier binaire d'origine. Chaque partie ne doit apparaître qu'une seule fois dans la liste des arguments ; mais il est inutile de les ordonner. Les parties doivent bien sûr avoir été créées selon le même modèle (taille maximum des parties), qui est déclaré au moment de la décomposition ; ce qui signifie en fait qu'elles doivent avoir été créées par le même appel à dpkg-split --split. Les parties des noms ne sont pas significatives pour le processus de recomposition. By default the output file is called package_version_arch.deb.

-I, --info partie...
    Affiche les renseignements concernant telle partie dans un format lisible par tous. Les arguments ne représentant pas la partie d'un fichier binaire le disent aussi sur la sortie standard.

-a, --auto -o fichier-complet partie
    Met en file automatiquement les parties en vue de la recomposition d'un paquet. La partie déclarée est examinée et comparée avec les autres parties du même paquet qui se trouvent (si elles existent) dans la file. Quand toutes les parties d'un fichier (auquel appartient la partie part) sont présentes, le fichier est recomposé et créé en tant que fichier-complet (ce fichier ne devrait pas déjà exister, mais ce n'est pas une erreur). Quand ce n'est pas le cas, la partie part est mise dans la file et le fichier fichier-complet n'est pas créé. If part is not a split binary package part then dpkg-split will exit with status 1; if some other trouble occurs then it will exit with status 2. L'option --output ou -o doit être fournie avec l'action --auto. Si cela n'était pas obligatoire, le programme appelant ne saurait pas quel fichier attendre.

-l, --listq
    Liste le contenu d'une file de paquets à recomposer. Pour chaque fichier possédant des parties dans la file, cette action donne le nom du fichier, les parties présentes dans la file et le nombre total d'octets conservés.

-d, --discard [paquet...]
    Cette action laisse de côté certaines parties dans la file, celles qui sont en attente des autres parties composant le paquet. Quand aucun paquet n'est donné, la file est vidée ; si un paquet est donné, seules les parties de ce paquet sont détruites.

-h, --help
    Affiche un message d'aide puis quitte.

--version
    Affiche le numéro de version puis quitte.

OPTIONS

--depotdir répertoire
    Indique un répertoire différent pour la file comprenant les parties en attente d'une recomposition automatique. Par défaut, c'est le répertoire /var/lib/dpkg.

-S, --partsize kibi-octets
    Indique, en kibi-octets (1024 octets), la taille maximum d'une partie lors d'une décomposition. Par défaut, la taille maximum est de 450 Kio.

-o, --output fichier-complet
    Indique le nom du fichier à produire pour une recomposition. Cela annule le fichier par défaut lors d'une recomposition « à la main » (--join) et c'est obligatoire pour une recomposition ou une mise en file automatiques (--auto).

-Q, --npquiet
    Pour une recomposition ou une mise en file automatiques, dpkg-split affiche habituellement un message si on lui donne une partie qui n'est pas une partie d'un paquet binaire. Cette option supprime ce message ; cela permet à des programmes comme dpkg de ne pas afficher de faux messages quand il est confronté à des paquets décomposés et des paquets non décomposés.

--msdos
    Oblige le nom des fichiers produits par --split à se conformer à msdos. Cela supprime le préfixe - soit celui par défaut dérivé du fichier d'entrée, soit celui donné comme argument : les caractères alphanumériques sont en minuscules, les signes plus sont remplacés par des x et tous les autres caractères sont abandonnés. le résultat est alors tronqué autant que nécessaire et des fichiers de la forme : prefixNofM.deb sont créés.

CODE DE SORTIE

0   The requested split, merge, or other command succeeded. --info commands count as successful even if the files are not binary package parts.

1   Only occurs with --auto and indicates that the part file was not a binary package part.

2   Some kind of trouble happened, such as a system call failure, a file that looked like a package part file but was corrupted, a usage error or some other problem.

BOGUES
On ne peut pas obtenir tous les détails voulus sur les paquets présents dans la file à moins d'aller voir soi-même dans le répertoire de la file. On ne peut pas facilement savoir si un fichier est vraiment la partie d'un paquet binaire ou non.

FICHIERS

/var/lib/dpkg/parts
    Le répertoire par défaut de la file contenant les fichiers qui attendent une recomposition automatique. Les noms de fichiers utilisés dans ce répertoire sont dans un format particulier à dpkg-split et ne sont sans doute pas utiles pour d'autres programmes ; en tous cas on ne peut pas compter sur ce format de nom de fichier.

VOIR AUSSI
deb(5), deb-control(5), dpkg-deb(1), dpkg(1).

AUTEUR
Copyright © 1995-1996 Ian Jackson

Ce programme est un logiciel libre ; voyez la « GNU General Public Licence » version 2 ou supérieure pour le copyright. Il n'y a PAS de garantie.

TRADUCTION
Ariel VARDI <ariel.vardi@freesbee.fr>, 2002. Philippe Batailler, 2006. Nicolas François, 2006. Veuillez signaler toute erreur à <debian-l10n-french@lists.debian.org>.